use crate::util::pack::pack_u8;

use super::Packet;

#[derive(Clone)]
pub struct PacketHelloResponse {
    pub version:String,
}
impl PacketHelloResponse {
    pub fn new() -> Self
    {
        Self {
            version:String::new(),
        }
    }
}
impl Packet for PacketHelloResponse {
    type Data = Self;

    fn encode(&self) -> Vec<u8>
    {
        let version_bytes = self.version.as_bytes().to_vec();
        [
            pack_u8(version_bytes.len() as u8),
            version_bytes,
        ].concat()
    }
}
